Skip to navigation

Get PR Metrics

Get aggregated PR metrics for the enterprise account.

Optionally filter by playbook_id to get metrics for PRs from sessions created with a specific playbook.

Authentication

AuthorizationBearer

Personal API Key (apk_user_) or Service API Key (apk_)

Query parameters

user_idslist of strings or nullOptional
service_user_idslist of strings or nullOptional
time_beforeintegerRequired
time_afterintegerRequired
org_idslist of strings or nullOptional
playbook_idstring or nullOptional

Response

Successful Response
prs_closed_countinteger
PRs Devin authored that were closed without merging.
prs_created_countinteger

Total PRs Devin authored across all states (open + merged + closed).

prs_merged_countinteger
PRs Devin authored that were merged.
prs_opened_countinteger
PRs Devin authored that are currently open.
prs_taken_over_closed_countintegerOptionalDefaults to 0
PRs Devin took over that were closed without merging.
prs_taken_over_countintegerOptionalDefaults to 0

Total PRs Devin took over across all states (open + merged + closed). A take-over is when Devin pushed commits to a PR it did not originally create.

prs_taken_over_merged_countintegerOptionalDefaults to 0
PRs Devin took over that were merged.
prs_taken_over_opened_countintegerOptionalDefaults to 0
PRs Devin took over that are currently open.

Errors

422
Unprocessable Entity Error